# Set to 1 to not require itself to build via gtk+3.0-devel
%define bootstrap 0

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:		GNOME default icons
Name:			adwaita-icon-theme
Version:		3.22.0
Release:		%mkrel 2
License:		GPLv2+
Group:			Graphical desktop/GNOME
URL:			http://www.gnome.org/
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:		noarch
BuildRequires:		intltool
BuildRequires:		hicolor-icon-theme
BuildRequires:		icon-naming-utils

%if ! %{bootstrap}
# For gtk-encode-symbolic-svg
BuildRequires:		pkgconfig(gtk+-3.0)
BuildRequires:		librsvg2
%endif

Requires:		hicolor-icon-theme
# For gtk-update-icon-cache
Requires(post):		gtk+3.0 >= 3.19.5
Requires(postun):	gtk+3.0 >= 3.19.5

# gnome-icon-theme and gnome-icon-theme-symbolic were merged
# into one pkg adwaita-icon-theme
Obsoletes:		gnome-icon-theme
Provides:		gnome-icon-theme = %{version}-%{release}
Obsoletes:		gnome-icon-theme-symbolic
Provides:		gnome-icon-theme-symbolic = %{version}-%{release}


%description
This package contains the Adwaita icon theme used by the GNOME desktop.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%make_install

touch %{buildroot}%{_datadir}/icons/Adwaita/icon-theme.cache

#compatibility symlink
ln -s %{name}.pc %{buildroot}%{_datadir}/pkgconfig/gnome-icon-theme.pc

install -d %buildroot%{_var}/lib/rpm/filetriggers
cat > %buildroot%{_var}/lib/rpm/filetriggers/gtk-icon-cache-Adwaita.filter << EOF
^./usr/share/icons/gnome/
EOF

cat > %buildroot%{_var}/lib/rpm/filetriggers/gtk-icon-cache-Adwaita.script << EOF
#!/bin/sh
if [ -x /usr/bin/gtk-update-icon-cache ]; then 
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/Adwaita
fi
EOF


%post
%update_icon_cache Adwaita

%postun
%clean_icon_cache Adwaita

%files
%doc AUTHORS NEWS README
%dir %{_datadir}/icons/Adwaita/
%ghost %{_datadir}/icons/Adwaita/icon-theme.cache
%{_datadir}/icons/Adwaita/index.theme
%{_datadir}/icons/Adwaita/*/
%{_datadir}/icons/Adwaita/cursors/
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/icons/Adwaita/cursors/
%{_var}/lib/rpm/filetriggers/gtk-icon-cache-*.*
%{_datadir}/pkgconfig/gnome-icon-theme.pc

%changelog
* Sat Dec 31 2016 adrianomorselli <adrianomorselli> 3.22.0-2uplos2016
- rebuild

* Mon Sep 26 2016 bb <bb> 3.22.0-2pclos2016
- obsolete gnome-icons

* Sat Sep 24 2016 bb <bb> 3.22.0-1pclos2016
- update

